Bug 987283 - virt-v2v can not convert guest with virtio lun disk
virt-v2v can not convert guest with virtio lun disk
Status: CLOSED DEFERRED
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virt-v2v (Show other bugs)
6.5
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Matthew Booth
Virtualization Bugs
:
Depends On: 987282
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-23 03:22 EDT by tingting zheng
Modified: 2014-11-18 06:24 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 987282
Environment:
Last Closed: 2014-11-18 06:24:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description tingting zheng 2013-07-23 03:22:24 EDT
The bug can also be reproduced on rhel6,version:
virt-v2v-0.9.1-1.el6_5.x86_64
libguestfs-1.20.8-5.el6.x86_64
libvirt-0.10.2-19.el6.x86_64

+++ This bug was initially created as a clone of Bug #987282 +++

Description
virt-v2v can not convert guest with virtio lun disk 

Version:
virt-v2v-0.9.0-2.el7.x86_64
libvirt-1.0.6-1.el7.x86_64
libguestfs-1.22.2-1.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1.Prepare a guest with virtio lun disk.
# virsh dumpxml virtio-lun
    <disk type='block' device='lun'>
      <driver name='qemu' type='raw' cache='none'/>
      <source dev='/dev/sdb'/>
      <target dev='vda' bus='virtio'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x06' function='0x0'/>
    </disk>

2.Use virt-v2v to convert the guest.
# virt-v2v -o rhev -os 10.66.90.115:/vol/v2v_auto/nfs_export -n rhevm virtio-lun
virt-v2v: Guest doesn't define any storage devices

Actual results:
Virt-v2v can not convert guest with virtio lun disk and virtio scsi lun disk,the info shows is not so correct.

Expected results:
virt-v2v can convert guest with virtio lun disk and virtio scsi lun disk.

Additional info:
Comment 2 RHEL Product and Program Management 2013-10-13 23:04:00 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 3 Richard W.M. Jones 2014-11-18 06:24:18 EST
Virt-v2v needs to run on the latest Red Hat Enterprise Linux release
to ensure it can correctly read and modify new guest filesystem
features.  A new version of virt-v2v is now available for RHEL 7.1.

Before RHEL 7.1 is released, follow the instructions here to
install unsupported preview packages on top of RHEL 7.0:
https://www.redhat.com/archives/libguestfs/2014-May/msg00090.html

After RHEL 7.1 is released, virt-v2v will be available in
Technical Preview.

You can run virt-v2v in a single virtual machine.  Other
requirements are covered here:
http://libguestfs.org/virt-v2v.1.html#resource-requirements

If you find a missing feature or bug in the new version of virt-v2v
please file a bug using the following link:
https://bugzilla.redhat.com/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%207&component=libguestfs

Note You need to log in before you can comment on or make changes to this bug.